ranges::views::exclusive_scan_fn Struct Reference
Inheritance diagram for ranges::views::exclusive_scan_fn:

## Synopsis of methods

constexpr exclusive_scan_fn | exclusive_scan {}

## Public Member Functions

template<typename T , typename Fun = plus>
constexpr auto | operator() (T init, Fun fun={}) const
Public Member Functions inherited from ranges::views::exclusive_scan_base_fn
template<typename Rng , typename T , typename Fun = plus>
constexpr auto | operator() (Rng &&rng, T init, Fun fun=Fun{}) const -> exclusive_scan_view< all_t< Rng >, T, Fun > requires exclusive_scan_constraints< Rng, T, Fun >